<?php


return  
    [
        'model' => [
            'model' => \Bixo\Opportunity\Models\Viewing::class,
            'table' => 'bixo_opportunity_viewings',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['ref',  'opportunity_id',  'property_by',  'customer_by',  'property_id',  'status',  'priority',  'date_time',  'description',  'feedbacks',  'fb_community',  'fb_location',  'fb_floor',  'fb_view',  'fb_layout',  'fb_bua',  'fb_quality',  'fb_price',  'fb_facilities',  'fb_parking',  'fb_ac_type',  'fb_service_charge',  'fb_furniture',  'fb_appliances',  'property_type',  'category_type',  'category',  'beds',  'region_id',  'location_id',  'sublocation_id',  'building_id',  'price',  'bua',  'furnished',  'unit',  'is_online',  'online_url',  'calendar_id',  'calendar_sync_at',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'opportunity/viewing',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "opportunity_id", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.opportunity_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_by", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.property_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customer_by", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.customer_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_id", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "priority", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.priority', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "date_time", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.date_time', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "feedbacks", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.feedbacks', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_community", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_community', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_location", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_location', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_floor", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_floor', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_view", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_view', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_layout", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_layout', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_bua", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_bua', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_quality", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_quality', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_price", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_facilities", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_facilities', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_parking", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_parking', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_ac_type", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_ac_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_service_charge", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_service_charge', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_furniture", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_furniture', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fb_appliances", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.fb_appliances', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.property_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category_type", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.category_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.category', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "beds", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.beds', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "region_id", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.region_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location_id", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.location_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sublocation_id", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.sublocation_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building_id", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.building_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bua", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.bua', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "furnished", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.furnished', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.unit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "is_online", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.is_online', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "online_url", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.online_url', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "calendar_id", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.calendar_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "calendar_sync_at", 
                "type" => "text", 
                "label" => 'opportunity::viewing.label.calendar_sync_at', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::viewing.label.ref',
                "placeholder" => 'opportunity::viewing.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'opportunity_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.opportunity_id',
                "placeholder" => 'opportunity::viewing.placeholder.opportunity_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.property_by',
                "placeholder" => 'opportunity::viewing.placeholder.property_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customer_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.customer_by',
                "placeholder" => 'opportunity::viewing.placeholder.customer_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.property_id',
                "placeholder" => 'opportunity::viewing.placeholder.property_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'priority',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::viewing.label.priority',
                "placeholder" => 'opportunity::viewing.placeholder.priority',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'date_time',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'opportunity::viewing.label.date_time',
                "placeholder" => 'opportunity::viewing.placeholder.date_time',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::viewing.label.description',
                "placeholder" => 'opportunity::viewing.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'feedbacks',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::viewing.label.feedbacks',
                "placeholder" => 'opportunity::viewing.placeholder.feedbacks',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_community',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_community',
                "placeholder" => 'opportunity::viewing.placeholder.fb_community',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_location',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_location',
                "placeholder" => 'opportunity::viewing.placeholder.fb_location',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_floor',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_floor',
                "placeholder" => 'opportunity::viewing.placeholder.fb_floor',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_view',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_view',
                "placeholder" => 'opportunity::viewing.placeholder.fb_view',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_layout',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_layout',
                "placeholder" => 'opportunity::viewing.placeholder.fb_layout',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_bua',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_bua',
                "placeholder" => 'opportunity::viewing.placeholder.fb_bua',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_quality',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_quality',
                "placeholder" => 'opportunity::viewing.placeholder.fb_quality',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_price',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_price',
                "placeholder" => 'opportunity::viewing.placeholder.fb_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_facilities',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_facilities',
                "placeholder" => 'opportunity::viewing.placeholder.fb_facilities',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_parking',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_parking',
                "placeholder" => 'opportunity::viewing.placeholder.fb_parking',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_ac_type',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_ac_type',
                "placeholder" => 'opportunity::viewing.placeholder.fb_ac_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_service_charge',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_service_charge',
                "placeholder" => 'opportunity::viewing.placeholder.fb_service_charge',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_furniture',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_furniture',
                "placeholder" => 'opportunity::viewing.placeholder.fb_furniture',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fb_appliances',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.fb_appliances',
                "placeholder" => 'opportunity::viewing.placeholder.fb_appliances',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'opportunity::viewing.label.property_type',
                "placeholder" => 'opportunity::viewing.placeholder.property_type',
                "rules" => '',
                "options" => function(){
                    return trans('opportunity::viewing.options.property_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'opportunity::viewing.label.category_type',
                "placeholder" => 'opportunity::viewing.placeholder.category_type',
                "rules" => '',
                "options" => function(){
                    return trans('opportunity::viewing.options.category_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::viewing.label.category',
                "placeholder" => 'opportunity::viewing.placeholder.category',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'beds',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::viewing.label.beds',
                "placeholder" => 'opportunity::viewing.placeholder.beds',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'region_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.region_id',
                "placeholder" => 'opportunity::viewing.placeholder.region_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.location_id',
                "placeholder" => 'opportunity::viewing.placeholder.location_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sublocation_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.sublocation_id',
                "placeholder" => 'opportunity::viewing.placeholder.sublocation_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.building_id',
                "placeholder" => 'opportunity::viewing.placeholder.building_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.price',
                "placeholder" => 'opportunity::viewing.placeholder.price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bua',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.bua',
                "placeholder" => 'opportunity::viewing.placeholder.bua',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'furnished',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::viewing.label.furnished',
                "placeholder" => 'opportunity::viewing.placeholder.furnished',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::viewing.label.unit',
                "placeholder" => 'opportunity::viewing.placeholder.unit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'is_online',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'opportunity::viewing.label.is_online',
                "placeholder" => 'opportunity::viewing.placeholder.is_online',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'online_url',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::viewing.label.online_url',
                "placeholder" => 'opportunity::viewing.placeholder.online_url',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'calendar_id',
                "element" => 'text',
                "type" => 'text',
                "label" => 'opportunity::viewing.label.calendar_id',
                "placeholder" => 'opportunity::viewing.placeholder.calendar_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'calendar_sync_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'opportunity::viewing.label.calendar_sync_at',
                "placeholder" => 'opportunity::viewing.placeholder.calendar_sync_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'opportunity/viewing/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'opportunity/viewing/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'opportunity/viewing',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'opportunity/viewing',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'opportunity/viewing',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'opportunity/viewing',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'opportunity::viewing.label.created_at',
            'name' => 'opportunity::viewing.label.name',
            'status' => 'opportunity::viewing.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "opportunity::viewing.groups.main",
                'group' => "main.main",
                'title' => "opportunity::viewing.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "opportunity::viewing.groups.details",
                'group' => "main.details",
                'title' => "opportunity::viewing.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "opportunity::viewing.groups.images",
                'group' => "main.images",
                'title' => "opportunity::viewing.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "opportunity::viewing.groups.settings",
                'group' => "main.settings",
                'title' => "opportunity::viewing.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Opportunity',
            'module' => 'Viewing',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Opportunity\Models\Viewing::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'opportunity::viewing.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['opportunity.viewing.copy', 'opportunity.viewing.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'opportunity::viewing.label.count',
                        "placeholder" => 'opportunity::viewing.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'opportunity::viewing.label.comment',
                        "placeholder" => 'opportunity::viewing.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'opportunity::viewing.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'opportunity::viewing.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
