<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoOpportunityOpportunitiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_opportunity_opportunities
         */
        Schema::create('bixo_opportunity_opportunities', function ($table) {
            $table->increments('id');
            $table->integer('property_id')->nullable();
            $table->integer('campaign_id')->nullable();
            $table->integer('lead_id')->nullable();
            $table->integer('organization_id')->nullable();
            $table->integer('branch_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('division_id')->nullable();
            $table->integer('score')->nullable();
            $table->integer('account_id')->nullable();
            $table->integer('contact_id')->nullable();
            $table->string('ref', 50)->nullable();
            $table->string('ref_source', 50)->nullable();
            $table->enum('customer_type', ['Yes', 'No'])->nullable();
            $table->enum('category_type', ['Yes', 'No'])->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('region_id')->nullable();
            $table->enum('fianace', ['Yes', 'No'])->nullable();
            $table->text('lead_info')->nullable();
            $table->text('cc_note')->nullable();
            $table->text('agent_note')->nullable();
            $table->text('notes')->nullable();
            $table->text('audios')->nullable();
            $table->string('source', 50)->nullable();
            $table->string('medium', 100)->nullable();
            $table->enum('stage', ['Yes', 'No'])->nullable();
            $table->text('documents')->nullable();
            $table->text('photos')->nullable();
            $table->text('medias')->nullable();
            $table->tinyInteger('share')->nullable();
            $table->integer('budget')->nullable();
            $table->integer('timeline')->nullable();
            $table->integer('interest')->nullable();
            $table->dateTime('expiry_at')->nullable();
            $table->dateTime('notified_at')->nullable();
            $table->text('unwanted')->nullable();
            $table->text('extend')->nullable();
            $table->text('counters')->nullable();
            $table->integer('qualified_by')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('assigned_to')->nullable();
            $table->integer('owner_id')->nullable();
            $table->integer('referred_by')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_opportunity_opportunities');
    }
}
