<?php

namespace Bixo\Opportunity\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Opportunity\Models\Offer;


class OfferAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.opportunity.offer';
    protected $eventClass = \Bixo\Opportunity\Events\OfferAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Offer $offer, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $offer;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Offer $offer, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $offer = $offer->create($attributes);
        return $offer;
    }

    public function update(Offer $offer, array $request)
    {
        $attributes = $request;
        $offer->update($attributes);
        return $offer;
    }

    public function destroy(Offer $offer, array $request)
    {
        $offer->delete();
        return $offer;
    }

    public function copy(Offer $offer, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $offer = $offer->replicate();
            $offer->created_at = Carbon::now();
            $offer->save();
            return $offer;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $offer->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $offer;
    }


}
