<?php

namespace Bixo\Opportunity\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Opportunity\Http\Requests\PreferanceActionsRequest;
use Bixo\Opportunity\Actions\PreferanceActions;

/**
 * Admin web controller class.
 */
class PreferanceActionsController extends BaseController
{

    /**
     * Action controller function for preferance.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(PreferanceActionsRequest $request, $action)
    {
        try {
            $preferance = PreferanceActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('opportunity::preferance.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('opportunity/preferance/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('opportunity/preferance/' . $action))
                ->redirect();
        }
    }
}
